#!/bin/bash
# Variables nues

echo

# À quel moment une variable est-elle «nue», c'est-à-dire sans son signe '$' ?
# C'est quand on lui affecte une valeur, pas quand elle est évaluée.

# Affectation
a=879
echo "La valeur de \"a\" est $a."

# Affectation utilisant 'let'
let a=16+5
echo "La valeur de \"a\" est maintenant $a."

echo

# Dans une boucle 'for' (en fait, un type d'affectation déguisée) :
echo -n "Les valeurs de \"a\" dans la boucle sont : "
for a in 7 8 9 11
do
  echo -n "$a "
done

echo
echo

# Dans une instruction 'read' (un autre type d'affectation) :
echo -n "Entrez \"a\" "
read a
echo "La valeur de \"a\" est maintenant $a."

echo

exit 0
